Skip to content
Browse files

update gems

  • Loading branch information...
1 parent 16f25a9 commit ce00ef01b21dc25c6dc149d114fb60daf3f39249 @molawson committed Oct 21, 2012
Showing with 79 additions and 63 deletions.
  1. +2 −2 Gemfile
  2. +75 −59 Gemfile.lock
  3. +2 −2 lib/models.rb
View
4 Gemfile
@@ -1,6 +1,6 @@
source "http://rubygems.org"
gem "sinatra"
-gem "sinatra-content-for"
+gem "sinatra-contrib"
gem "datamapper"
-gem "dm-postgres-adapter"
+gem "dm-postgres-adapter"
View
134 Gemfile.lock
@@ -1,65 +1,81 @@
GEM
remote: http://rubygems.org/
specs:
- addressable (2.2.4)
- data_objects (0.10.3)
+ addressable (2.2.8)
+ backports (2.6.4)
+ bcrypt-ruby (3.0.1)
+ data_objects (0.10.10)
addressable (~> 2.1)
- datamapper (1.0.2)
- dm-aggregates (= 1.0.2)
- dm-constraints (= 1.0.2)
- dm-core (= 1.0.2)
- dm-migrations (= 1.0.2)
- dm-serializer (= 1.0.2)
- dm-timestamps (= 1.0.2)
- dm-transactions (= 1.0.2)
- dm-types (= 1.0.2)
- dm-validations (= 1.0.2)
- dm-aggregates (1.0.2)
- dm-core (~> 1.0.2)
- dm-constraints (1.0.2)
- dm-core (~> 1.0.2)
- dm-migrations (~> 1.0.2)
- dm-core (1.0.2)
- addressable (~> 2.2)
- extlib (~> 0.9.15)
- dm-do-adapter (1.0.2)
- data_objects (~> 0.10.2)
- dm-core (~> 1.0.2)
- dm-migrations (1.0.2)
- dm-core (~> 1.0.2)
- dm-postgres-adapter (1.0.2)
- dm-do-adapter (~> 1.0.2)
- do_postgres (~> 0.10.2)
- dm-serializer (1.0.2)
- dm-core (~> 1.0.2)
- fastercsv (~> 1.5.3)
- json_pure (~> 1.4)
- dm-timestamps (1.0.2)
- dm-core (~> 1.0.2)
- dm-transactions (1.0.2)
- dm-core (~> 1.0.2)
- dm-types (1.0.2)
- dm-core (~> 1.0.2)
- fastercsv (~> 1.5.3)
- json_pure (~> 1.4)
- stringex (~> 1.1.0)
- uuidtools (~> 2.1.1)
- dm-validations (1.0.2)
- dm-core (~> 1.0.2)
- do_postgres (0.10.3)
- data_objects (= 0.10.3)
- extlib (0.9.15)
- fastercsv (1.5.4)
- json_pure (1.5.1)
- rack (1.2.1)
- sinatra (1.2.0)
- rack (~> 1.1)
- tilt (>= 1.2.2, < 2.0)
- sinatra-content-for (0.2)
- sinatra
- stringex (1.1.0)
- tilt (1.2.2)
- uuidtools (2.1.2)
+ datamapper (1.2.0)
+ dm-aggregates (~> 1.2.0)
+ dm-constraints (~> 1.2.0)
+ dm-core (~> 1.2.0)
+ dm-migrations (~> 1.2.0)
+ dm-serializer (~> 1.2.0)
+ dm-timestamps (~> 1.2.0)
+ dm-transactions (~> 1.2.0)
+ dm-types (~> 1.2.0)
+ dm-validations (~> 1.2.0)
+ dm-aggregates (1.2.0)
+ dm-core (~> 1.2.0)
+ dm-constraints (1.2.0)
+ dm-core (~> 1.2.0)
+ dm-core (1.2.0)
+ addressable (~> 2.2.6)
+ dm-do-adapter (1.2.0)
+ data_objects (~> 0.10.6)
+ dm-core (~> 1.2.0)
+ dm-migrations (1.2.0)
+ dm-core (~> 1.2.0)
+ dm-postgres-adapter (1.2.0)
+ dm-do-adapter (~> 1.2.0)
+ do_postgres (~> 0.10.6)
+ dm-serializer (1.2.2)
+ dm-core (~> 1.2.0)
+ fastercsv (~> 1.5)
+ json (~> 1.6)
+ json_pure (~> 1.6)
+ multi_json (~> 1.0)
+ dm-timestamps (1.2.0)
+ dm-core (~> 1.2.0)
+ dm-transactions (1.2.0)
+ dm-core (~> 1.2.0)
+ dm-types (1.2.2)
+ bcrypt-ruby (~> 3.0)
+ dm-core (~> 1.2.0)
+ fastercsv (~> 1.5)
+ json (~> 1.6)
+ multi_json (~> 1.0)
+ stringex (~> 1.4)
+ uuidtools (~> 2.1)
+ dm-validations (1.2.0)
+ dm-core (~> 1.2.0)
+ do_postgres (0.10.10)
+ data_objects (= 0.10.10)
+ eventmachine (1.0.0)
+ fastercsv (1.5.5)
+ json (1.7.5)
+ json_pure (1.7.5)
+ multi_json (1.3.6)
+ rack (1.4.1)
+ rack-protection (1.2.0)
+ rack
+ rack-test (0.6.2)
+ rack (>= 1.0)
+ sinatra (1.3.3)
+ rack (~> 1.3, >= 1.3.6)
+ rack-protection (~> 1.2)
+ tilt (~> 1.3, >= 1.3.3)
+ sinatra-contrib (1.3.1)
+ backports (>= 2.0)
+ eventmachine
+ rack-protection
+ rack-test
+ sinatra (~> 1.3.0)
+ tilt (~> 1.3)
+ stringex (1.4.0)
+ tilt (1.3.3)
+ uuidtools (2.1.3)
PLATFORMS
ruby
@@ -68,4 +84,4 @@ DEPENDENCIES
datamapper
dm-postgres-adapter
sinatra
- sinatra-content-for
+ sinatra-contrib
View
4 lib/models.rb
@@ -1,5 +1,5 @@
require "rubygems"
-require "datamapper"
+require "data_mapper"
# DataMapper::Logger.new($stdout, :debug)
DataMapper.setup(:default, ENV['DATABASE_URL'])
@@ -12,4 +12,4 @@ class Item
property :box, Integer
end
-DataMapper.auto_upgrade!
+DataMapper.auto_upgrade!

0 comments on commit ce00ef0

Please sign in to comment.
Something went wrong with that request. Please try again.